NX Open C++ Reference Guide
|
Represents a CAE::ThicknessPlotContoursBuilder builder which can be used to generate a plot of a CAE::SimBC in the graphics area. More...
Public Member Functions | |
NXOpen::CAE::ThicknessPlotContours * | CreatePlotObject () |
Returns CAE::ThicknessPlotContours object. | |
void | SetMeshesToPlot (const std::vector< NXOpen::CAE::Mesh * > &pMeshTags) |
Sets CAE::Mesh objects to plot. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ThicknessPlotContoursBuilder builder which can be used to generate a plot of a CAE::SimBC in the graphics area.
This is limited to @link CAE::SimBC CAE::SimBC@endlink objects in the active solution. @link CAE::SimBcPlotContoursBuilder::CreatePlotObject CAE::SimBcPlotContoursBuilder::CreatePlotObject@endlink returns a plot object @link CAE::NxBcPlotContours CAE::NxBcPlotContours@endlink whose @link CAE::NxBcPlotContours::PlotContour CAE::NxBcPlotContours::PlotContour@endlink plots contour. <br> To create a new instance of this class, use @link CAE::NodeElementInfoManager::CreateThicknessPlotContoursBuilder CAE::NodeElementInfoManager::CreateThicknessPlotContoursBuilder @endlink <br>
Created in NX8.5.0.
NXOpen::CAE::ThicknessPlotContours* NXOpen::CAE::ThicknessPlotContoursBuilder::CreatePlotObject | ( | ) |
Returns CAE::ThicknessPlotContours object.
void NXOpen::CAE::ThicknessPlotContoursBuilder::SetMeshesToPlot | ( | const std::vector< NXOpen::CAE::Mesh * > & | pMeshTags | ) |
Sets CAE::Mesh objects to plot.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
pMeshTags | pmeshtags |